AbstractAuxiliaryDatabaseObject (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class AbstractAuxiliaryDatabaseObject

    java.lang.Object
      org.hibernate.metamodel.relational.AbstractAuxiliaryDatabaseObject

All Implemented Interfaces:
  Serializable, AuxiliaryDatabaseObject, Exportable

Direct Known Subclasses:
  BasicAuxiliaryDatabaseObjectImpl

    public abstract class AbstractAuxiliaryDatabaseObject

extends Object
implements AuxiliaryDatabaseObject

Convenience base class for `AuxiliaryDatabaseObject`s.

This implementation performs dialect scoping checks strictly based on dialect name comparisons. Custom implementations might want to do instanceof-type checks.

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractAuxiliaryDatabaseObject(Set<String> dialectScopes)`

Method Summary
`void` | `addDialectScope(String dialectName)`
`boolean` | `appliesToDialect(Dialect dialect)` Does this database object apply to the given dialect?
`Iterable<String>` | `getDialectScopes()`
`String` | `getExportIdentifier()` Get a unique identifier to make sure we are not exporting the same database structure multiple times.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.relational.Exportable
`sqlCreateStrings, sqlDropStrings`

Constructor Detail

### AbstractAuxiliaryDatabaseObject

    protected AbstractAuxiliaryDatabaseObject(Set<String> dialectScopes)

Method Detail

### addDialectScope

    public void addDialectScope(String dialectName)

### getDialectScopes

    public Iterable<String> getDialectScopes()

### appliesToDialect

    public boolean appliesToDialect(Dialect dialect)

  Description copied from interface: `AuxiliaryDatabaseObject`
  Does this database object apply to the given dialect?

  Specified by:
    `appliesToDialect` in interface `AuxiliaryDatabaseObject`
  Parameters:
    `dialect` - The dialect to check against.
  Returns:
    True if this database object does apply to the given dialect.

### getExportIdentifier

    public String getExportIdentifier()

  Description copied from interface: `Exportable`
  Get a unique identifier to make sure we are not exporting the same database structure multiple times.

  Specified by:
    `getExportIdentifier` in interface `Exportable`
  Returns:
    The exporting identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.